# haproxy docker deployment

## Introduction

This is a docker-compose configuration to deploy an haproxy container.

This haproxy instance is set up to be a Kubernetes API load-balancer (port 6443) for the homelab k8s cluster.

It also has been configured to act as a Kubernetes ingress load-balancer for apps running on the k8s cluster using either
port 80 or port 443.

## Links

* https://hub.docker.com/_/haproxy
* https://hub.docker.com/r/haproxytech/haproxy-alpine
* https://cbonte.github.io/haproxy-dconv/
* https://www.haproxy.com/blog/how-to-run-haproxy-with-docker/
* https://www.ibm.com/docs/en/api-connect/2018.x?topic=environment-load-balancer-configuration-in-kubernetes-deployment
* https://docs.kublr.com/articles/onprem-multimaster/

## Directories

<pre>
docker_haproxy/
├── config/
│   └── haproxy.cfg
└── docker-compose.yml
</pre>

